curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/partner_services/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "my_unique_property_name",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Atualize vários serviços de parceiros usando seus IDs internos ou valores de propriedade exclusivos. Essa operação permite o processamento em lote de atualizações, garantindo a sincronização eficiente dos dados de serviço entre o HubSpot e outros sistemas.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/partner_services/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "my_unique_property_name",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Produtos suportados
Escopos Necessários
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
Um objeto de resposta em lote de objeto público
A data e hora em que o processamento em lote foi concluído, no formato ISO 8601.
Show child attributes
A data e hora em que o processamento em lote foi iniciado, no formato ISO 8601.
O status da solicitação de processamento em lote: "PENDENTE", "PROCESSANDO", "CANCELADO" ou "CONCLUÍDO"
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Um objeto contendo links relevantes relacionados à solicitação em lote.
Show child attributes
O número total de erros que ocorreram durante a operação em lote.
A data e hora em que a solicitação em lote foi feita inicialmente, no formato ISO 8601.